
Redmine - Defect #4099

git windows no such file or directory

2009-10-23 16:48 - Mike Henke

Status: Closed Start date: 2009-10-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Running Redmine 8.5 on Windows 2003 server with 1.6.4.msysgit binaries, added to the PATH environment variable:

;%GIT_PATH%\cmd;%GIT_PATH%\bin;

When I browse to the repository this occurs:

An error occurred when trying to access the repository: No such file or directory - git --git-dir

"c:\git_repositories\announcementModule.git/" log --raw --date=iso --pretty=fuller -n 1

I can run the git command fine in the "BitNami Redmine Stack" console.

Looking forward to having the git repos viewable in Redmine :-)

History

#1 - 2009-10-24 12:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

git is not available in the application PATH environment variable.

You just need to fix it.

#2 - 2009-10-27 13:49 - Mike Henke

- Status changed from Closed to Reopened

Do you mean add Git_Path as a user/environment variable?

As I stated before I added git to the PATH environment variable: ;%GIT_PATH%\cmd;%GIT_PATH%\bin;

I am able to run git commands through the command prompt and the "BitNami Redmine Stack" console on the server with Redmine.

#3 - 2009-11-06 20:59 - Mike Henke

This is not resolved so it is not Invalid.

#4 - 2009-11-11 17:32 - Jean-Philippe Lang

- Status changed from Reopened to Closed

This is a deployment issue so I close it.

#5 - 2009-11-11 17:38 - Mike Henke

- Assignee set to Jean-Philippe Lang

I am not as smart as you.  Could you please suggest how to fix this "deployment issue"?  It seems the original suggestion didn't fix it.
